import { ComponentRef, TemplateRef, ViewContainerRef } from '@angular/core';
import { TooltipContentComponent } from './tooltip.content.component';
import * as i0 from "@angular/core";
export declare class TooltipContentDirective {
    private templateRef;
    private viewContainerRef;
    private componentRef;
    constructor(templateRef: TemplateRef<any>, viewContainerRef: ViewContainerRef);
    get tooltipComponentRef(): ComponentRef<TooltipContentComponent>;
    create(): void;
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipContentDirective, "[fusionTooltipContent]", never, {}, {}, never, never, false, never>;
}
